package ink.wgink.pojo.dtos.role;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: RoleMenuDTO
 * @Description: 角色菜单
 * @Author: WangGeng
 * @Date: 2021/2/24 8:31
 * @Version: 1.0
 **/
@ApiModel
public class RoleMenuDTO implements Serializable {

    private static final long serialVersionUID = 5517176078321727490L;

    @ApiModelProperty(name = "roleId", value = "角色ID")
    private String roleId;
    @ApiModelProperty(name = "menuId", value = "菜单ID")
    private String menuId;

    public String getRoleId() {
        return roleId == null ? "" : roleId.trim();
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public String getMenuId() {
        return menuId == null ? "" : menuId.trim();
    }

    public void setMenuId(String menuId) {
        this.menuId = menuId;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"roleId\":\"")
                .append(roleId).append('\"');
        sb.append(",\"menuId\":\"")
                .append(menuId).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
